This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 488967 - qpidd usage when explicit accept mode python client connected hit the test threshold 70%
qpidd usage when explicit accept mode python client connected hit the test th...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: messaging-bugs
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 10:41 EST by Frantisek Reznicek
Modified: 2015-11-15 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-08 07:52:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Reznicek 2009-03-06 10:41:30 EST
Description of problem:
This bug is very close to the original bug 466955. 
I was detected that since mrg 1.1 qpidd cpu load slinks up to the test
threshold and currently almost there. 
Test on some slower hosts already show that qpidd CPU load is above test
threshold which is 80% i.e. there is qpidd cpu usage measurement during test
which takes N seconds and if qpidd ps incremental cpu usage 
(ps -aeo pid,time,args) is above 0.8*N then qpidd is considered as too
cpu hungly.



Version-Release number of selected component (if applicable):
  qpidd-0.4.750054-1.el5, rhm-0.4.3138-2.el5, python-qpid-0.4.750054-1.el5
also seen on previous
  qpidd-0.4.744917-1.el5, python-qpid-0.4.743856-1.el5, rhm-0.4.3116-3.el5

How reproducible:
depens on machine where test is run, on slower machines 100%

Steps to Reproduce:
1. run qpid_test_explicit_accept_mode_bz466955 in a loop
2. seek for failures
  
Actual results:
qpidd instance during test consume in average already 80% of time of the test.

Expected results:
qpidd instance during test should consume consume less than 80%

Additional info: (RHTS results)

gs-dl585g2-01.rhts.bos.redhat.com, qpidd load slightly above 80%

https://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=7118768
  model name	: Dual-Core AMD Opteron(tm) Processor 8216
  processor	: 0 1 2 3 4 5 6 7
  vendor_id	: AuthenticAMD
  cpu MHz	: 1000.000
  cpu cores	: 2
  bogomips	: 2009.33 2009.33 2009.33 2009.33 2009.33 2009.33 2009.33 2009.33
Comment 1 Frantisek Reznicek 2009-03-06 10:43:05 EST
The test itself is now enhanced and I will try to reproduce on more machines...
Comment 2 Frantisek Reznicek 2009-03-11 04:29:39 EDT
First I want to correct the threshold, it is not 80% but 70% build in qpid_test_explicit_accept_mode_bz466955. (i.e. 's/80%/70%/g' in #0)

The new automated tests very rarely show that qpidd broker consumes more that 70% of the time during the experiment:

The qpidd cumulated cpu time is detected this way:
ps -aeo pid,time,args --no-headers | grep qpidd | \
    grep ${QPIDD_INST_PID} | grep -v grep | awk '{print $2}'


Please find below last run statistic (5 cases across OSes and architectures):

run 1] ABOVE THRESHOLD (~72%)
  https://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=7183402
  https://rhts.redhat.com/testlogs/49748/167749/1403462/common_transcript.log

run 2] BELOW THRESHOLD (~31%)
  https://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=7183294

run 3] BELOW THRESHOLD (~8%)
  https://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=7183196

run 4] BELOW THRESHOLD (~65%)
  https://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=7183416

run 5] BELOW THRESHOLD (~35%)
  https://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=7183259
Comment 3 Gordon Sim 2009-05-08 14:50:51 EDT
Is there still an issue here?
Comment 5 Frantisek Reznicek 2010-01-05 10:38:46 EST
Under retest right now, so far 10 cases of the test passed well... more data soon.
Comment 6 Frantisek Reznicek 2010-01-06 07:36:00 EST
I have collected small database of the tests for this qpidd usage bz.

The summary:
The measurement of the cpu load is done via two methods:
- main method: cpu load as reported by ps
- aux. method: percentage of cumulative process time divided by number of cpu cores to the test scenatio time

The cpu load is very varying with the used CPU and amount of memory (as expected), to sort out very slow machines memory threshold to >= 2GiB was implemented. Even with this filter there are few percent of CPU's which are failing the test seeing that qpidd consumes:
alpha] ~99% of cpu time
       this load is observed for CPU's with more than 14 cores, see cases C] to F] below
       Interesting is that on such a type of CPU there are also cases which pass with very big margin m], v], z] vs. D]
beta]  70-80% of cpu time
       this was observed in case w]



I have to say issue is still visible on particular types of CPU's (w], C], D], E], F]).



Please find below database of results:

a] ibm-ls20-01.rhts.bos.redhat.com 5.4i, load 8%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11549736
processor       : 0 1 2 3
vendor_id       : AuthenticAMD
model name      : Dual Core AMD Opteron(tm) Processor 270
cpu MHz         : 1993.882
cpu cores       : 2
bogomips        : 3987.76 3987.00 3987.01 3987.01


b] hp-bl685c-01.rhts.bos.redhat.com 5.4x, load 16%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11550010
processor       : 0 1 2 3 4 5 6 7
vendor_id       : AuthenticAMD
model name      : Dual-Core AMD Opteron(tm) Processor 8218
cpu MHz         : 1000.000
cpu cores       : 2
bogomips        : 2009.29 2009.29 2009.29 2009.29 2009.29 2009.29 2009.29 2009.29
[06:03:55] Memory info:
             total       used       free     shared    buffers     cached
Mem:       4057432    1256104    2801328          0      73840    1017088
-/+ buffers/cache:     165176    3892256
Swap:      6094840          0    6094840

c] mrg44.lab.bos.redhat.com 4.8i, load 7%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11549364
processor       : 0 1 2 3 4 5 6 7
vendor_id       : GenuineIntel
model name      : Intel(R) Xeon(R) CPU           X5550  @ 2.67GHz
cpu MHz         : 2667.186
cpu cores       : 4
bogomips        : 5336.75 5333.59 5333.51 5333.65 5333.64 5333.53 5333.51 5333.44
[05:45:50] Memory info:
             total       used       free     shared    buffers     cached
Mem:      18706424    1234408   17472016          0      72864    1028236
-/+ buffers/cache:     133308   18573116
Swap:      5668856          0    5668856

d] mrg42.lab.bos.redhat.com 4.8x, load 23%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11549410
processor       : 0 1 2 3 4 5 6 7
vendor_id       : GenuineIntel
model name      : Intel(R) Xeon(R) CPU           E5450  @ 3.00GHz
cpu MHz         : 3000.117
cpu cores       : 4
bogomips        : 6004.24 6000.23 6000.22 6000.28 6000.09 6000.27 6000.29 6000.24
[05:48:27] Memory info:
             total       used       free     shared    buffers     cached
Mem:      16437576    1287384   15150192          0      75904    1047660
-/+ buffers/cache:     163820   16273756
Swap:     18481144          0   18481144


e] mrg43.lab.bos.redhat.com 5.4i, load 39%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11552481
processor       : 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
vendor_id       : GenuineIntel
model name      : Intel(R) Xeon(R) CPU           X5550  @ 2.67GHz
cpu MHz         : 2666.917
cpu cores       : 4
bogomips        : 5333.83 5333.56 5333.47 5333.55 5333.48 5333.56 5333.47 5333.56 5333.46 5333.57 5333.50 5333.57 5333.49 5333.55 5333.46 5333.60
[08:15:39] Memory info:
             total       used       free     shared    buffers     cached
Mem:      18707196    1212976   17494220          0      69120     954396
-/+ buffers/cache:     189460   18517736
Swap:      5668856          0    5668856



f] dell-pe6950-01.rhts.bos.redhat.com 5.4x, load 22%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11552763
processor       : 0 1 2 3 4 5 6 7
vendor_id       : AuthenticAMD
model name      : Dual-Core AMD Opteron(tm) Processor 8212
cpu MHz         : 2000.196
cpu cores       : 2
bogomips        : 4000.39 4000.18 4000.16 4000.15 4000.15 4000.19 4000.19 4000.22
[08:24:48] Memory info:
             total       used       free     shared    buffers     cached
Mem:       8246948    1276816    6970132          0      73128    1019240
-/+ buffers/cache:     184448    8062500
Swap:     10289144          0   10289144


g] hp-z600-01.rhts.eng.bos.redhat.com 4.8i, load 5%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11552424
processor       : 0 1 2 3
vendor_id       : GenuineIntel
model name      : Intel(R) Xeon(R) CPU           E5506  @ 2.13GHz
cpu MHz         : 1596.000
cpu cores       : 4
bogomips        : 4258.79 4256.04 4255.96 4256.00
[08:10:52] Memory info:
             total       used       free     shared    buffers     cached
Mem:       3106776    1187760    1919016          0      71756    1029344
-/+ buffers/cache:      86660    3020116
Swap:      5144568          0    5144568

h] dell-pem600-01.rhts.eng.bos.redhat.com 4.8x, load 20%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11552536
processor       : 0 1 2 3 4 5 6 7
vendor_id       : GenuineIntel
model name      : Intel(R) Xeon(R) CPU           E5410  @ 2.33GHz
cpu MHz         : 2327.506
cpu cores       : 4
bogomips        : 4658.28 4655.06 4655.03 4655.02 4654.96 4655.02 4655.02 4655.02
[08:15:38] Memory info:
             total       used       free     shared    buffers     cached
Mem:       4045808    1256060    2789748          0      77404    1047928
-/+ buffers/cache:     130728    3915080
Swap:      6094840          0    6094840


i] mrg44.lab.bos.redhat.com 5.4i, load 15%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11552352
processor       : 0 1 2 3 4 5 6 7
vendor_id       : GenuineIntel
model name      : Intel(R) Xeon(R) CPU           X5550  @ 2.67GHz
cpu MHz         : 2666.833
cpu cores       : 4
bogomips        : 5333.66 5333.56 5333.57 5333.55 5333.55 5333.49 5333.48 5333.48
[08:10:40] Memory info:
             total       used       free     shared    buffers     cached
Mem:      18707416    1230100   17477316          0      66076     954516
-/+ buffers/cache:     209508   18497908
Swap:      5668856          0    5668856


j] ibm-pizzaro.rhts.eng.bos.redhat.com 5.4x, load 10%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11552563
processor       : 0 1 2 3
vendor_id       : AuthenticAMD
model name      : Dual-Core AMD Opteron(tm) Processor 2220 SE
cpu MHz         : 2793.121
cpu cores       : 2
bogomips        : 5586.24 5585.20 5585.21 5585.26
[08:19:57] Memory info:
             total       used       free     shared    buffers     cached
Mem:      12302884    1256360   11046524          0      71908    1019112
-/+ buffers/cache:     165340   12137544
Swap:     14352376          0   14352376


k] mrg42.lab.bos.redhat.com 4.8i, load 22%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11552523
processor       : 0 1 2 3 4 5 6 7
vendor_id       : GenuineIntel
model name      : Intel(R) Xeon(R) CPU           E5450  @ 3.00GHz
cpu MHz         : 3000.167
cpu cores       : 4
bogomips        : 6003.68 6000.19 6000.27 6000.24 6000.35 6000.30 6000.30 6000.30
[08:15:59] Memory info:
             total       used       free     shared    buffers     cached
Mem:      16631940    1223532   15408408          0      76032    1028708
-/+ buffers/cache:     118792   16513148
Swap:      5406712          0    5406712

l] hp-z800-01.rhts.eng.bos.redhat.com 4.8x, load 14%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11552519
processor       : 0 1 2 3 4 5 6 7 8 9 10 11
vendor_id       : GenuineIntel
model name      : Genuine Intel(R) CPU             000  @ 2.53GHz
cpu MHz         : 2528.000
cpu MHz         : 1596.000
cpu cores       : 6
bogomips        : 5072.78 5067.25 5066.49 5066.77 5066.81 5067.22 5065.91 5067.27 5066.81 5066.87 5066.90 5066.30
[08:15:30] Memory info:
             total       used       free     shared    buffers     cached
Mem:       8159128    1267896    6891232          0      73096    1048688
-/+ buffers/cache:     146112    8013016
Swap:     10190840          0   10190840

m] nec-em6.rhts.bos.redhat.com 5.4i, load 13%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11553425
processor       : 0 1 2 3
vendor_id       : GenuineIntel
model name      : Intel(R) Xeon(TM) CPU 3.80GHz
cpu MHz         : 3800.533
cpu cores       : 1
bogomips        : 7601.06 7599.25 7599.28 7599.25
[09:12:24] Memory info:
             total       used       free     shared    buffers     cached
Mem:       8312056    1119100    7192956          0      67416     955732
-/+ buffers/cache:      95952    8216104
Swap:      9446212          0    9446212

n] hp-xw6600-01.rhts.bos.redhat.com 5.4x, load 6%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11553219
processor       : 0 1
vendor_id       : GenuineIntel
model name      : Intel(R) Xeon(R) CPU           E5240  @ 3.00GHz
cpu MHz         : 1998.000
cpu cores       : 2
bogomips        : 6000.20 6000.10
[09:00:45] Memory info:
             total       used       free     shared    buffers     cached
Mem:       2059180    1246136     813044          0      71388    1021688
-/+ buffers/cache:     153060    1906120
Swap:      4095992          0    4095992

o] hp-xw6400-01.rhts.bos.redhat.com 4.8i, load 6%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11553317
processor       : 0 1 2 3
vendor_id       : GenuineIntel
model name      : Genuine Intel(R) CPU                  @ 1.86GHz
cpu MHz         : 1866.000
cpu MHz         : 1596.000
cpu cores       : 2
bogomips        : 3726.27 3723.87 3723.91 3723.90
[09:03:45] Memory info:
             total       used       free     shared    buffers     cached
Mem:       2074676    1188188     886488          0      73304    1029616
-/+ buffers/cache:      85268    1989408
Swap:      4128760          0    4128760


p] intel-d3c69-01.rhts.bos.redhat.com 4.8x, load 6%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11553271
processor       : 0 1 2 3
vendor_id       : GenuineIntel
model name      : Intel(R) Core(TM)2 Quad CPU    Q9550  @ 2.83GHz
cpu MHz         : 2336.000
cpu MHz         : 2003.000
cpu cores       : 4
bogomips        : 5658.56 5652.45 5652.41 5652.51
[09:02:58] Memory info:
             total       used       free     shared    buffers     cached
Mem:       2022816    1246568     776248          0      72632    1048960
-/+ buffers/cache:     124976    1897840
Swap:      2031608          0    2031608

q] dell-pem605-01.rhts.eng.bos.redhat.com 5.4i, load 8%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11554753
processor       : 0 1 2 3
vendor_id       : AuthenticAMD
model name      : Dual-Core AMD Opteron(tm) Processor 2214 HE
cpu MHz         : 1000.000
cpu cores       : 2
bogomips        : 2000.09 2000.09 2000.09 2000.09
[11:09:41] Memory info:
             total       used       free     shared    buffers     cached
Mem:       4146628    1121364    3025264          0      70044     954648
-/+ buffers/cache:      96672    4049956
Swap:      5668856          0    5668856

r] ibm-wildhorse-01.eng.rhts.bos.redhat.com 5.4x, load 10%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11554615
processor       : 0 1 2 3
vendor_id       : AuthenticAMD
model name      : Dual Core AMD Opteron(tm) Processor 275
cpu MHz         : 2193.798
cpu cores       : 2
bogomips        : 4387.59 4386.88 4386.89 4386.89
[11:08:45] Memory info:
             total       used       free     shared    buffers     cached
Mem:       4044228    1253672    2790556          0      72076    1020960
-/+ buffers/cache:     160636    3883592
Swap:      6094840          0    6094840

s] dell-pe6950-01.rhts.bos.redhat.com 4.8i, load 17%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11554645
processor       : 0 1 2 3 4 5 6 7
vendor_id       : AuthenticAMD
model name      : Dual-Core AMD Opteron(tm) Processor 8212
cpu MHz         : 2000.883
cpu cores       : 2
bogomips        : 4002.72 4000.11 4000.18 4000.34 4000.32 4000.35 4000.19 4000.21
[11:05:44] Memory info:
             total       used       free     shared    buffers     cached
Mem:       8311836    1197408    7114428          0      77108    1027632
-/+ buffers/cache:      92668    8219168
Swap:      5668856          0    5668856


t] ibm-pizzaro.rhts.eng.bos.redhat.com 4.8x, load 6%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11554428
processor       : 0 1 2 3
vendor_id       : AuthenticAMD
model name      : Dual-Core AMD Opteron(tm) Processor 2220 SE
cpu MHz         : 2793.098
cpu cores       : 2
bogomips        : 5591.84 5585.20 5585.12 5585.19
[10:55:09] Memory info:
             total       used       free     shared    buffers     cached
Mem:      12301716    1249496   11052220          0      72532    1045864
-/+ buffers/cache:     131100   12170616
Swap:     14352376          0   14352376

u] nec-em17.rhts.bos.redhat.com 5.4i, load 8%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11555732
processor       : 0 1 2 3
vendor_id       : GenuineIntel
model name      : Intel(R) Xeon(R) CPU            5160  @ 3.00GHz
cpu MHz         : 2992.557
cpu cores       : 2
bogomips        : 5985.11 5984.15 5984.23 5984.21
[11:42:16] Memory info:
             total       used       free     shared    buffers     cached
Mem:       4148904    1125192    3023712          0      71208     956396
-/+ buffers/cache:      97588    4051316
Swap:      5406712          0    5406712

v] nec-em6.rhts.bos.redhat.com 5.4x, load 14%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11556878
http://rhts.redhat.com/testlogs/2010/01/114497/313741/2531709/TESTOUT.log
processor	: 0 1 2 3
vendor_id	: GenuineIntel
model name	:                   Intel(R) Xeon(TM) CPU 3.80GHz
cpu MHz		: 3800.298
cpu cores	: 1
bogomips	: 7600.59 7599.22 7599.18 7599.21
[11:59:14] Memory info:
             total       used       free     shared    buffers     cached
Mem:       8180164    1249072    6931092          0      73256    1019620
-/+ buffers/cache:     156196    8023968
Swap:      9446212          0    9446212

w] intel-greencity-01.rhts.bos.redhat.com 4.8i, load 75%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11556260
http://rhts.redhat.com/testlogs/2010/01/114498/313742/2531714/TESTOUT.log
processor	: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23
vendor_id	: GenuineIntel
model name	: Genuine Intel(R) CPU             000  @ 3.07GHz
cpu MHz		: 3059.000
cpu MHz		: 1596.000
cpu cores	: 6
bogomips	: 6137.44 6133.55 6133.46 6133.66 6133.62 6133.63 6133.48 6133.59 6133.51 6133.59 6133.51 6133.60 6133.44 6133.64 6133.58 6133.65 6133.57 6133.56 6133.54 6133.67 6133.49 6133.61 6133.50 6133.62
[11:43:30] Memory info:
             total       used       free     shared    buffers     cached
Mem:       2059260    1224092     835168          0      75872    1027568
-/+ buffers/cache:     120652    1938608
Swap:      4095992          0    4095992

x] hp-bl260cg5-01.rhts.bos.redhat.com 4.8x, load 7%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11557019
processor       : 0 1 2 3
vendor_id       : GenuineIntel
model name      : Intel(R) Xeon(R) CPU           E5420  @ 2.50GHz
cpu MHz         : 2500.005
cpu cores       : 4
bogomips        : 5003.49 5000.01 4999.98 5000.02
[12:06:03] Memory info:
             total       used       free     shared    buffers     cached
Mem:       6111388    1252436    4858952          0      79776    1047324
-/+ buffers/cache:     125336    5986052
Swap:      8159224          0    8159224

y] hp-xw8400-01.rhts.bos.redhat.com 5.4i, load 26%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11556531
http://rhts.redhat.com/testlogs/2010/01/114500/313744/2531724/TESTOUT.log
processor	: 0 1 2 3 4 5 6 7
vendor_id	: GenuineIntel
model name	: Intel(R) Xeon(R) CPU           E5320  @ 1.86GHz
cpu MHz		: 1596.000
cpu cores	: 4
bogomips	: 3724.07 3723.84 3723.86 3723.86 3723.88 3723.87 3723.88 3723.87
[11:47:33] Memory info:
             total       used       free     shared    buffers     cached
Mem:       4149724    1133352    3016372          0      71932     957572
-/+ buffers/cache:     103848    4045876
Swap:      5406712          0    5406712

z] dell-p690-01.rhts.bos.redhat.com 5.4x, load 29%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11556901
http://rhts.redhat.com/testlogs/2010/01/114501/313745/2531729/TESTOUT.log
processor	: 0 1 2 3 4 5 6 7
vendor_id	: GenuineIntel
model name	:                   Intel(R) Xeon(TM) CPU 3.73GHz
cpu MHz		: 3200.000
cpu cores	: 2
bogomips	: 7447.88 7447.73 7447.66 7447.67 7447.72 7447.59 7447.66 7447.68
[12:01:18] Memory info:
             total       used       free     shared    buffers     cached
Mem:       2057928    1261328     796600          0      74492    1022984
-/+ buffers/cache:     163852    1894076
Swap:      4095992          0    4095992


A] hp-xw6600-01.rhts.bos.redhat.com, load 3%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11555983
http://rhts.redhat.com/testlogs/2010/01/114502/313746/2531734/TESTOUT.log
processor	: 0 1
vendor_id	: GenuineIntel
model name	: Intel(R) Xeon(R) CPU           E5240  @ 3.00GHz
cpu MHz		: 1998.000
cpu cores	: 2
bogomips	: 6003.75 6000.25
[11:38:30] Memory info:
             total       used       free     shared    buffers     cached
Mem:       2074676    1185848     888828          0      74240    1029720
-/+ buffers/cache:      81888    1992788
Swap:      4128760          0    4128760

B] intel-d3c69-01.rhts.bos.redhat.com 4.8x, load 5%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11556310
http://rhts.redhat.com/testlogs/2010/01/114503/313747/2531739/TESTOUT.log
processor	: 0 1 2 3
vendor_id	: GenuineIntel
model name	: Intel(R) Core(TM)2 Quad CPU    Q9550  @ 2.83GHz
cpu MHz		: 2336.000
cpu MHz		: 2003.000
cpu cores	: 4
bogomips	: 5658.62 5652.43 5652.80 5652.44
[11:44:18] Memory info:
             total       used       free     shared    buffers     cached
Mem:       2022820    1247396     775424          0      73488    1048648
-/+ buffers/cache:     125260    1897560
Swap:      2031608          0    2031608

C] us-es7600r-01.rhts.bos.redhat.com 5.4x, load 99%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11114628
processor       : 0 1 2 3 4 5 6 7 8 9 10 11 12 13
vendor_id       : GenuineIntel
model name      :                    Genuine Intel(R) CPU 3.40GHz
cpu MHz         : 3400.098
cpu cores       : 2
bogomips        : 6800.19 6799.09 6799.11 6799.08 6798.84 6799.01 6799.21 6799.03 6799.21 6799.18 6799.33 6799.10 6799.10 6799.35
[10:12:22] Memory info:
             total       used       free     shared    buffers     cached
Mem:      65883424     545140   65338284          0      27052     272852
-/+ buffers/cache:     245236   65638188
Swap:     67928056          0   67928056

D] nec-em8.rhts.eng.bos.redhat.com 5.4x, load 99%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11171046
processor       : 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
vendor_id       : GenuineIntel
model name      :                   Intel(R) Xeon(TM) CPU 2.60GHz
cpu MHz         : 2600.225
cpu cores       : 2
bogomips        : 5200.45 5199.87 5199.63 5304.89 5199.51 5199.56 5199.57 5199.57 5200.08 5199.63 5199.64 5199.64 5199.57 5199.55 5199.56 5199.52
[10:50:23] Memory info:
             total       used       free     shared    buffers     cached
Mem:      16435980    1627516   14808464          0     133864    1274420
-/+ buffers/cache:     219232   16216748
Swap:     18481144          0   18481144


E] hp-dl585g5-01.rhts.bos.redhat.com 5.4i, load 99%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=10818854
processor       : 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
vendor_id       : AuthenticAMD
model name      : Quad-Core AMD Opteron(tm) Processor 8354
cpu MHz         : 2210.239
cpu cores       : 4
bogomips        : 4420.47 4421.27 4420.43 4420.44 4419.95 4420.06 4421.05 4420.44 4420.44 4420.45 4420.46 4420.46 4420.44 4420.43 4420.44 4420.44
[10:03:14] Memory info:
             total       used       free     shared    buffers     cached
Mem:       8298296    1406844    6891452          0     128512    1145752
-/+ buffers/cache:     132580    8165716
Swap:      4095992          0    4095992

F] tyan-ft48-02.rhts.bos.redhat.com 5.4x, load 99%
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=10795839
processor       : 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
vendor_id       : AuthenticAMD
model name      : Quad-Core AMD Opteron(tm) Processor 8354
cpu MHz         : 2210.224
cpu cores       : 4
bogomips        : 4420.44 4423.85 4423.84 4423.10 4420.95 4420.87 4420.92 4420.93 4420.93 4420.93 4420.93 4421.51 4419.06 4421.43 4422.04 4420.86
[12:11:09] Memory info:
             total       used       free     shared    buffers     cached
Mem:      16437552    1639900   14797652          0     132596    1270140
-/+ buffers/cache:     237164   16200388
Swap:     18481144          0   18481144
Comment 7 Frantisek Reznicek 2010-01-06 10:35:39 EST
Differential measurements needed, to see whether above reported 99% load is related to explicit accept mode or not...
Test needs to be adopted a bit.
Comment 8 Frantisek Reznicek 2010-01-08 02:32:12 EST
The test was tuned to provide differential cpu load info for queue subscriber consuming in explicit accept mode and non-accept mode (pre-acquired).

As data below show both load numbers are really close to each other, which I believe proves that issue (explicit accept mode consumer qpidd extreme load) is not present.

Candidate for CLOSED(NOTABUG) and one more bz open for qpidd extreme load on some machines with >=14 cores might be necessary. Keep in touch via irc and then resolve soon...

Data:

http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11603165
.load stats show reasonable cpu loads: accept/non-accept mode loads:5/7;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11603157
.load stats show reasonable cpu loads: accept/non-accept mode loads:25/23;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11603374
.load stats show reasonable cpu loads: accept/non-accept mode loads:9/7;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11603259
.load stats show reasonable cpu loads: accept/non-accept mode loads:10/10;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11602834
.load stats show reasonable cpu loads: accept/non-accept mode loads:3/4;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11602635
.load stats show reasonable cpu loads: accept/non-accept mode loads:21/27;THR:80
http://rhts.redhat.com/testlogs/2010/01/115210/315720/2546936/TESTOUT.log
.load stats show reasonable cpu loads: accept/non-accept mode loads:12/11;THR:80
http://rhts.redhat.com/testlogs/2010/01/115210/315720/2546936/TESTOUT.log
.load stats show reasonable cpu loads: accept/non-accept mode loads:12/11;THR:80
http://rhts.redhat.com/testlogs/2010/01/115210/315721/2546979/TESTOUT.log
.load stats show reasonable cpu loads: accept/non-accept mode loads:9/9;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11601815
.load stats show reasonable cpu loads: accept/non-accept mode loads:4/6;THR:80
http://rhts.redhat.com/testlogs/2010/01/115199/315647/2546442/TESTOUT.log
.load stats show reasonable cpu loads: accept/non-accept mode loads:97/99;THR:80
.load stats show reasonable cpu loads: accept/non-accept mode loads:99/99;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11602543
.load stats show reasonable cpu loads: accept/non-accept mode loads:19/16;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11599932
.load stats show reasonable cpu loads: accept/non-accept mode loads:5/7;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11599894
.load stats show reasonable cpu loads: accept/non-accept mode loads:14/18;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11601057
.load stats show reasonable cpu loads: accept/non-accept mode loads:33/28;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11599415
.load stats show reasonable cpu loads: accept/non-accept mode loads:23/27;THR:80
.load stats show reasonable cpu loads: accept/non-accept mode loads:31/30;THR:80
.load stats show reasonable cpu loads: accept/non-accept mode loads:35/31;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11598212
.load stats show reasonable cpu loads: accept/non-accept mode loads:5/8;THR:80
.load stats show reasonable cpu loads: accept/non-accept mode loads:5/7;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11598205
.load stats show reasonable cpu loads: accept/non-accept mode loads:4/5;THR:80
.load stats show reasonable cpu loads: accept/non-accept mode loads:6/5;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11598181
.load stats show reasonable cpu loads: accept/non-accept mode loads:15/14;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11598551
.load stats show reasonable cpu loads: accept/non-accept mode loads:13/16;THR:80
.load stats show reasonable cpu loads: accept/non-accept mode loads:14/17;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11594566
.load stats show reasonable cpu loads: accept/non-accept mode loads:14/12;THR:80
.load stats show reasonable cpu loads: accept/non-accept mode loads:15/16;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11594659
.load stats show reasonable cpu loads: accept/non-accept mode loads:33/32;THR:80
.load stats show reasonable cpu loads: accept/non-accept mode loads:37/35;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11595411
.load stats show reasonable cpu loads: accept/non-accept mode loads:16/18;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11595422
.load stats show reasonable cpu loads: accept/non-accept mode loads:6/7;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11595281
.load stats show reasonable cpu loads: accept/non-accept mode loads:8/7;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11595303
.load stats show reasonable cpu loads: accept/non-accept mode loads:61/54;THR:80
.load stats show reasonable cpu loads: accept/non-accept mode loads:65/57;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11595243
.load stats show reasonable cpu loads: accept/non-accept mode loads:4/6;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11595295
.load stats show reasonable cpu loads: accept/non-accept mode loads:7/6;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11595819
.load stats show reasonable cpu loads: accept/non-accept mode loads:6/8;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11595473
.load stats show reasonable cpu loads: accept/non-accept mode loads:10/14;THR:80
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=11595776
.load stats show reasonable cpu loads: accept/non-accept mode loads:35/31;THR:80
.load stats show reasonable cpu loads: accept/non-accept mode loads:36/32;THR:80
http://rhts.redhat.com/testlogs/2010/01/115119/315404/2545312/TESTOUT.log
.load stats show reasonable cpu loads: accept/non-accept mode loads:14/15;THR:80
Comment 9 Frantisek Reznicek 2010-01-08 07:52:51 EST
As agreed (freznice, gsim) issue is not present.

->CLOSED(NOTABUG)


Bug 553616 was filled to address qpidd extreme load (independent on accept mode) on certain types of multicore machines.

Note You need to log in before you can comment on or make changes to this bug.